LogicException
OutOfRangeException
Exceptions
PHP Manual

# The OutOfBoundsException class

(PHP 5 >= 5.1.0)

## Introdução

Exception thrown if a value is not a valid key. This represents errors that cannot be detected at compile time.

## Sinopse da classe

OutOfBoundsException extends RuntimeException {
/* Propriedades herdadas */
protected string $message ;
private string $string ;
protected int $code ;
protected string $file ;
protected int $line ;
private array $trace ;
/* Métodos herdados */
final public string Exception::getMessage ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public string Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private string Exception::__clone ( void )
}

LogicException
OutOfRangeException
Exceptions
PHP Manual